be.fgov.ehealth.hubservices.core.v2

## Class AccessRightType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.AccessRightType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:42:54+01:00",
                 comments="JAXB RI v2.3.7")
      public class AccessRightType
      extends Object
      implements Serializable

  Java class for AccessRightType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AccessRightType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionIdType"/>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicHcPartyType"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ACCESSRIGHT"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessRightType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDACCESSRIGHT` | `getCd()` Gets the value of the cd property.
    `BasicHcPartyType` | `getHcparty()` Gets the value of the hcparty property.
    `TransactionIdType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setCd(CDACCESSRIGHT value)` Sets the value of the cd property.
    `void` | `setHcparty(BasicHcPartyType value)` Sets the value of the hcparty property.
    `void` | `setTransaction(TransactionIdType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessRightType

          public AccessRightType()

  - ### Method Detail

    - #### getTransaction

          public TransactionIdType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `TransactionIdType`

    - #### setTransaction

          public void setTransaction(TransactionIdType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `TransactionIdType`

    - #### getHcparty

          public BasicHcPartyType getHcparty()

      Gets the value of the hcparty property.
      Returns:
        possible object is `BasicHcPartyType`

    - #### setHcparty

          public void setHcparty(BasicHcPartyType value)

      Sets the value of the hcparty property.
      Parameters:
        `value` - allowed object is `BasicHcPartyType`

    - #### getCd

          public CDACCESSRIGHT getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDACCESSRIGHT`

    - #### setCd

          public void setCd(CDACCESSRIGHT value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDACCESSRIGHT`

Connector Package PERSMIDWIFE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.